package pack;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpSession;

import pack.listeners.Listeners;
import pack.util.Database;
import pack.util.Message;

@ManagedBean
@SessionScoped
public class Actions {

	@ManagedProperty("#{database}")
	private Database database;

	@ManagedProperty("#{message}")
	private Message message;

	@ManagedProperty("#{login}")
	private Login login;
	
	@ManagedProperty("#{account}")
	private Account account;
	
	@ManagedProperty("#{listeners}")
	private Listeners listeners;
	
	// -----------------------------methods-----------------------------------------

	public String doLogin() {
		String nav = "";
		if (login != null) {
			if (database.login(login)) {
				nav = account.getPage();
				listeners.updateWarnMessage();
			} else {
				nav = "login";
				message.addMessage(FacesMessage.SEVERITY_ERROR, "Neplatné přihlašovací údaje");
			}
		}
		return nav;
	}

	public String doLogout() {
		HttpSession sess = (HttpSession) FacesContext.getCurrentInstance().getExternalContext().getSession(false);
		if (sess != null) {
			sess.invalidate();
		}
		return "login";
	}	
	
	
	
	// -------------------------------setters/getters--------------------------------------


	public Database getDatabase() {
		return database;
	}

	public void setDatabase(Database database) {
		this.database = database;
	}

	public Message getMessage() {
		return message;
	}

	public void setMessage(Message message) {
		this.message = message;
	}

	public Login getLogin() {
		return login;
	}

	public void setLogin(Login login) {
		this.login = login;
	}

	public Account getAccount() {
		return account;
	}

	public void setAccount(Account account) {
		this.account = account;
	}

	public Listeners getListeners() {
		return listeners;
	}

	public void setListeners(Listeners listeners) {
		this.listeners = listeners;
	}
}
