package pack.validators;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.FacesValidator;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;


@FacesValidator(value = "loginValidator")
public class LoginValidator implements Validator {

	@Override
	public void validate(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		String component = comp.getClientId(con);
		char[] input = in.toString().toCharArray();
		int inputLength = input.length;

		if (component == null) {
			return;
		}

		if (component.contains("id_login")) {
			if (inputLength > 6) {
				throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "ID: Max 6 číslic", ""));
			}
			for (char a : input) {
				if (!Character.isDigit(a)) {
					throw new ValidatorException(
							new FacesMessage(FacesMessage.SEVERITY_ERROR, "ID: Musí být číslo", ""));
				}
			}
		} else if (component.contains("password_login")) {
			isDangerous(in.toString(), "Heslo");
			if (inputLength < 5 || inputLength > 20) {
				throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Heslo: Musí mít 5-20 znaků", ""));
			}
		}
	}
	
	public void isDangerous(String word, String who) throws ValidatorException{
		char[] charArray = word.toCharArray();
		char[] badChars = {'\'', '\\', '\"'};
		for(char a : charArray){
			for(char b : badChars){
				if(a==b){
					throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, who + " nebezpečný znak", ""));
				}
			}
		}
	}
}
