package pack.validators;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.ValidatorException;

import org.primefaces.model.UploadedFile;

@ManagedBean
@SessionScoped
public class Validators {
	
	public void inputValueItem(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		isDangerous(in.toString(),"Změna hodnoty");
		char[] input = in.toString().toCharArray();
		int inputLength = input.length;
		
		if (inputLength > 6) {
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Max 6 číslic", ""));
		}
		for (char a : input) {
			if (!Character.isDigit(a)) {
				throw new ValidatorException(
						new FacesMessage(FacesMessage.SEVERITY_ERROR, "Musí být kladné číslo", ""));
			}
		}
	}
	
	public void nameOfItem(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		isDangerous(in.toString(),"Název");
		int inputLength = ((String) in).length();
		
		if (inputLength < 3 || inputLength > 20) {
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Název musí být mezi 3-20 znaky", ""));
		}
	}
	
	public void firstnameOfUser(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		isDangerous(in.toString(),"Jméno");
		int inputLength = ((String) in).length();
		
		if (inputLength < 2 || inputLength > 20) {
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Jméno musí být mezi 2-20 znaky", ""));
		}
	}
	
	public void lastnameOfUser(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		isDangerous(in.toString(),"Příjmení");
		int inputLength = ((String) in).length();
		
		if (inputLength < 2 || inputLength > 20) {
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Příjmení musí být mezi 2-20 znaky", ""));
		}
	}
	
	public void quantityOfItem(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		isDangerous(in.toString(),"Množství");
		char[] input = in.toString().toCharArray();
		int inputLength = input.length;
		
		if (inputLength > 10) {
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Množství max 10 číslic", ""));
		}
		for (char a : input) {
			if (!Character.isDigit(a)) {
				throw new ValidatorException(
						new FacesMessage(FacesMessage.SEVERITY_ERROR, "Množství musí být číslo", ""));
			}
		}
	}
	
	public void borderOfItem(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		isDangerous(in.toString(),"Min hranice");
		char[] input = in.toString().toCharArray();
		int inputLength = input.length;
		
		if (inputLength > 10) {
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Hlídané minimum max 10 číslic", ""));
		}
		for (char a : input) {
			if (!Character.isDigit(a)) {
				throw new ValidatorException(
						new FacesMessage(FacesMessage.SEVERITY_ERROR, "Hlídané minimum musí být číslo", ""));
			}
		}
	}
	
	public void capacityOfItem(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		isDangerous(in.toString(),"Max kapacita");
		char[] input = in.toString().toCharArray();
		int inputLength = input.length;
		
		if (inputLength > 10) {
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Max kapacita max 10 číslic", ""));
		}
		for (char a : input) {
			if (!Character.isDigit(a)) {
				throw new ValidatorException(
						new FacesMessage(FacesMessage.SEVERITY_ERROR, "Max kapacita musí být číslo", ""));
			}
		}
	}
	
	public void emailOfUser(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		isDangerous(in.toString(),"Email");
		boolean isThereAT = false;
		char[] input = in.toString().toCharArray();
		int inputLength = input.length;
		
		if (inputLength < 5) {
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Email min 5 Znaků", ""));
		}
		for (char a : input) {
			if(a=='@'){
				isThereAT = true;
			}
		}
		if(!isThereAT){
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Email musí obsahovat @", ""));
		}
	}
	
	public void phoneOfUser(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		isDangerous(in.toString(),"Telefon");
		char[] input = in.toString().toCharArray();
		int inputLength = input.length;
		
		if (inputLength < 9) {
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Telefon má min 9 číslic", ""));
		}
		for (int i = 0; i < inputLength; i++) {
			if(!Character.isDigit(input[i]) && i!=0){
				throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Telefon musí být číslo", ""));
			}
		}
	}
	
	public void adressOfUser(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		isDangerous(in.toString(),"Adresa");
		int inputLength = ((String) in).length();
		
		if (inputLength > 80) {
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Adresa max 80 znaků", ""));
		}	
	}
	
	public void professionOfUser(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		isDangerous(in.toString(),"Profese");
		int inputLength = ((String) in).length();
		
		if (inputLength > 20) {
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Profese max 20 znaků", ""));
		}	
	}
	
	public void workplaceOfUser(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		isDangerous(in.toString(),"Pracoviště");
		int inputLength = ((String) in).length();
		
		if (inputLength > 20) {
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Pracoviště max 20 znaků", ""));
		}	
	}
	
	public void searchedString(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		isDangerous(in.toString(), "Vyhledávání");
		if (((String)in).length() >= 30) {
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Max 30 znaků", ""));
		}
	}
	
	public void uploadPhoto(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		UploadedFile file = (UploadedFile)in;
		String type = file.getContentType();
		long size = file.getSize();
		
		if(size>1000000){
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Max foto o velikosti 1Mb", ""));
		}
		if(!(type.equals("image/jpeg") || type.equals("image/png") || type.equals("image/gif"))){
			if(!(type.equals("application/octet-stream") && size==0)){
				throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Pouze foto typu Jpg, Png nebo Gif", ""));
			}
		}
	}
	
	public void password(FacesContext con, UIComponent comp, Object in) throws ValidatorException {
		isDangerous(in.toString(), "Heslo");
		int inputLength = ((String) in).length();
		
		if (inputLength < 5 || inputLength > 20) {
			throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Heslo: Musí mít 5-20 znaků", ""));
		}
	}
	
	public void isDangerous(String word, String who) throws ValidatorException{
		char[] charArray = word.toCharArray();
		char[] badChars = {'\'', '\\', '\"'};
		for(char a : charArray){
			for(char b : badChars){
				if(a==b){
					throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, who + " nebezpečný znak", ""));
				}
			}
		}
	}
}
